<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="text" encoding="UTF-8" indent="no" omit-xml-declaration="yes" media-type="text/plain"/>
<!--
Plik transformacyjny z XML do TXT dla plików aktualizacyjnych ULIC
Autor: Michał Godlewski - COIS WARSZAWA 
E-mail: m.godlewski@stat.gov.pl
-->
<xsl:template match="/">
	<xsl:text>TYP_ZMIANY;SYM_UL;WOJ;POW;GMI;RODZ_GMI;SYM;CECHA;NAZWA_1;NAZWA_2;STAN_NA;S_NAZWA_1;S_NAZWA_2;S_STAN_NA</xsl:text>
	<xsl:text>&#xd;&#xa;</xsl:text>
	<xsl:for-each select="//row">
		<xsl:value-of select="@type"></xsl:value-of>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="id">
			<xsl:for-each select="col[@name='SYM_UL']">
					<xsl:value-of select="."></xsl:value-of>
					<xsl:text>;</xsl:text>
			</xsl:for-each>
		</xsl:for-each>
		<xsl:for-each select="col[@name='WOJ']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='POW']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='GMI']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='RODZ_GMI']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="id">
			<xsl:for-each select="col[@name='SYM']">
					<xsl:value-of select="."></xsl:value-of>
					<xsl:text>;</xsl:text>
			</xsl:for-each>
		</xsl:for-each>
		<xsl:for-each select="col[@name='CECHA']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='NAZWA_1']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='NAZWA_2']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='STAN_NA']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='S_NAZWA_1']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='S_NAZWA_2']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>;</xsl:text>
		<xsl:for-each select="col[@name='S_STAN_NA']">
				<xsl:value-of select="."></xsl:value-of>
		</xsl:for-each>
		<xsl:text>&#xd;&#xa;</xsl:text>
	</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
