<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="text" encoding="UTF-8" indent="no" omit-xml-declaration="yes" media-type="text/plain"/>
<!--
Plik transformacyjny z XML do TXT dla wszystkich plikow predefiniowanych (oprocz plikow aktualizacyjnych) z systemu TERYT
Autor: Michał Godlewski - COIS WARSZAWA 
E-mail: m.godlewski@stat.gov.pl
-->
<xsl:template match="/">
	<xsl:for-each select="//row[1]">
		<xsl:for-each select="col">
			<xsl:value-of select="@name"></xsl:value-of>
			<xsl:text>;</xsl:text>
		</xsl:for-each>
		<xsl:text>&#xd;&#xa;</xsl:text>
	</xsl:for-each>
	<xsl:for-each select="//row">
		<xsl:for-each select="col">
			<xsl:value-of select="."></xsl:value-of>
			<xsl:text>;</xsl:text>
		</xsl:for-each>
		<xsl:text>&#xd;&#xa;</xsl:text>
	</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
